### Method

# EDataServer Source set_display_name

since: 3.6

#### Declaration [src]

    void
    e_source_set_display_name (
      ESource* source,
      const gchar* display_name
    )

#### Description [src]

Sets the display name for `source`. The `display_name` argument must be a valid UTF-8 string. Use the display name to represent the `ESource` in a user interface.

The internal copy of `display_name` is automatically stripped of leading and trailing whitespace.

Available since: 3.6

Sets property | `EDataServer.Source:display-name`

#### Parameters

`display_name`

  Type: `const gchar*`

  A display name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.